Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417026 - [abrt] libreport-gtk: ci_get_name(): report-gtk killed by SIGSEGV
Summary: [abrt] libreport-gtk: ci_get_name(): report-gtk killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4fafb9396b05783d18da8dc0a60...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 02:40 UTC by Maximilian
Modified: 2017-12-12 10:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:39:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.56 KB, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: core_backtrace (6.01 KB, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: dso_list (10.88 KB, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: environ (1.73 KB, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: maps (53.84 KB, text/plain)
2017-01-27 02:40 UTC, Maximilian
no flags Details
File: mountinfo (3.49 KB, text/plain)
2017-01-27 02:41 UTC, Maximilian
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-27 02:41 UTC, Maximilian
no flags Details
File: open_fds (1017 bytes, text/plain)
2017-01-27 02:41 UTC, Maximilian
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-27 02:41 UTC, Maximilian
no flags Details
File: var_log_messages (309 bytes, text/plain)
2017-01-27 02:41 UTC, Maximilian
no flags Details

Description Maximilian 2017-01-27 02:40:41 UTC
Version-Release number of selected component:
libreport-gtk-2.8.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2017-01-27-02:53:24-2185
crash_function: ci_get_name
executable:     /usr/bin/report-gtk
global_pid:     2688
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ci_get_name at config_item_info.c:77
 #1 ec_get_name at event_config.c:64
 #2 libreport_load_single_event_config_data_from_user_storage at secrets.c:1520
 #3 g_list_foreach at glist.c:1005
 #4 g_hash_table_foreach at ghash.c:1608
 #5 load_workflow_config_data_from_user_storage at workflow_config_dialog.c:167
 #6 show_config_list_dialog at config_dialog.c:428
 #11 g_simple_action_activate at gsimpleaction.c:225
 #12 g_application_exported_actions_activate_action_full at gapplication.c:326
 #13 org_gtk_Actions_method_call at gactiongroupexporter.c:440

Potential duplicate: bug 1279149

Comment 1 Maximilian 2017-01-27 02:40:48 UTC
Created attachment 1244923 [details]
File: backtrace

Comment 2 Maximilian 2017-01-27 02:40:50 UTC
Created attachment 1244924 [details]
File: cgroup

Comment 3 Maximilian 2017-01-27 02:40:51 UTC
Created attachment 1244925 [details]
File: core_backtrace

Comment 4 Maximilian 2017-01-27 02:40:53 UTC
Created attachment 1244926 [details]
File: dso_list

Comment 5 Maximilian 2017-01-27 02:40:55 UTC
Created attachment 1244927 [details]
File: environ

Comment 6 Maximilian 2017-01-27 02:40:56 UTC
Created attachment 1244928 [details]
File: exploitable

Comment 7 Maximilian 2017-01-27 02:40:57 UTC
Created attachment 1244929 [details]
File: limits

Comment 8 Maximilian 2017-01-27 02:40:59 UTC
Created attachment 1244930 [details]
File: maps

Comment 9 Maximilian 2017-01-27 02:41:01 UTC
Created attachment 1244931 [details]
File: mountinfo

Comment 10 Maximilian 2017-01-27 02:41:02 UTC
Created attachment 1244932 [details]
File: namespaces

Comment 11 Maximilian 2017-01-27 02:41:04 UTC
Created attachment 1244933 [details]
File: open_fds

Comment 12 Maximilian 2017-01-27 02:41:05 UTC
Created attachment 1244934 [details]
File: proc_pid_status

Comment 13 Maximilian 2017-01-27 02:41:06 UTC
Created attachment 1244935 [details]
File: var_log_messages

Comment 14 Rafael Sene 2017-04-24 15:42:20 UTC
Got similar behavior on F25:

[276535.250204] abrt-applet[20373]: segfault at 0 ip 00007f7148751407 sp 00007fffb0034ea0 error 4 in libreport-gtk.so.0.0.1[7f7148745000+10000]

Comment 15 Fedora End Of Life 2017-11-16 14:56:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:39:48 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.